Package org.kapott.hbci.sepa.jaxb.pain_001_003_03

# Class Document

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_003_03.Document

public class Document extends Object

Java class for Document complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Document">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CstmrCdtTrfInitn" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}CustomerCreditTransferInitiationV03"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CustomerCreditTransferInitiationV03`
`cstmrCdtTrfInitn`

## Constructor Summary

Constructors
Constructor
Description
`Document()`

## Method Summary

Modifier and Type
Method
Description
`CustomerCreditTransferInitiationV03`
`getCstmrCdtTrfInitn()`
Gets the value of the cstmrCdtTrfInitn property.
`void`
`setCstmrCdtTrfInitn(CustomerCreditTransferInitiationV03 value)`
Sets the value of the cstmrCdtTrfInitn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cstmrCdtTrfInitn

protected CustomerCreditTransferInitiationV03 cstmrCdtTrfInitn

## Constructor Details

### Document

public Document()

## Method Details

### getCstmrCdtTrfInitn

public CustomerCreditTransferInitiationV03 getCstmrCdtTrfInitn()
Gets the value of the cstmrCdtTrfInitn property.

Returns:
  possible object is `CustomerCreditTransferInitiationV03`

### setCstmrCdtTrfInitn

public void setCstmrCdtTrfInitn(CustomerCreditTransferInitiationV03 value)
Sets the value of the cstmrCdtTrfInitn property.

Parameters:
  `value` - allowed object is `CustomerCreditTransferInitiationV03`